Subject: [Megaco] Comments draft-ietf-megaco-naspkg-04.txt

From: Christian Groves <[email-masked]>
Date: Mon, 06 May 2002 16:29:24 +1000

G'Day Tom,

I have several comments on the NAS packages.

o General - "Term" can you expand it to "Termination" where ever it occurs. Can
be confusing to the reader.

o Sect 6.5 talks about the bearer capabilities in the TDM SDP draft and H.248
Annex C. I think in the interests in keeping things consistent and help
interoperability that the same values should be used for both ie. USI, TMR. So
you could specify exactly what values should be used from Annex C and the
relevant SDP attributes.

o Sect 7.1.1 Dialout Number > Default if unspecified is "absent". The reads as
if the value should be set "absent". Perhaps a better formulation is "Dialled
number is absent if unspecified"

o Sect 8.2.1 allows the MG to indicate to the MGC that an outgoing call should
be initiated. It provides the appropriate destination (dialnum) but I can't find
anywhere that describes the type of call to be placed. I would have thought that
the MG should also provide some sort of bearer capabilities to be used in the
call. Perhaps the appropriate values (eg. USI/TMR) could be provided as an
additional 2 optional parameters to the CallReq event.

o Sect 9.1.1 Naming Patterns - I'm not sure what this is meant to achieve. The
procedures don't cover this. Do you audit value/ audit capability? What should
be returned? TID=NAS/*??

Regards, Christian

> 
> [email-masked] wrote:
> 
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> > This draft is a work item of the Media Gateway Control Working Group of the
> > IETF.
> >
> >         Title           : Megaco/H.248 NAS Package
> >         Author(s)       : J. Mitchell, t. Taylor, A. Whitton, R. Subramaniam
> >
> >         Filename        : draft-ietf-megaco-naspkg-04.txt
> >         Pages           : 18
> >         Date            : 09-Apr-02
> >
> > This document is intended to satisfy the requirements in section
> > 11.2.5 of the Megaco/H.248 requirements document.  It defines five
> > packages:
> > - the base NAS package contains properties and events supported by
> > all NAS terminations;
> > - the NAS Incoming package contains properties and events
> > supported by NAS terminations involved in calls initiated by the
> > circuit network;
> > - the NAS Outgoing package contains properties supported by NAS
> > terminations involved in calls outgoing to the circuit network;
> > - the NAS Control package contains an event supported by a NAS
> > Control termination, which allows the MG to indicate a request to
> > initiate a data connection to a terminal served by the switched
> > circuit network;
> > - the NAS ROOT package contains properties supported by an MG which
> > is also capable of supporting at least the NAS and NAS Incoming
> > packages.
> >
> > A URL for this Internet-Draft is:
> > http://www.ietf.org/internet-drafts/draft-ietf-megaco-naspkg-04.txt
> >
> > To remove yourself from the IETF Announcement list, send a message to
> > ietf-announce-request with the word unsubscribe in the body of the message.
> >
> > Internet-Drafts are also available by anonymous FTP. Login with the username
> >
> > "anonymous" and a password of your e-mail address. After logging in,
> > type "cd internet-drafts" and then
> >         "get draft-ietf-megaco-naspkg-04.txt".
> >
> > A list of Internet-Drafts directories can be found in
> > http://www.ietf.org/shadow.html
> > or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >
> > Internet-Drafts can also be obtained by e-mail.
> >
> > Send a message to:
> >         [email-masked].
> > In the body type:
> >         "FILE /internet-drafts/draft-ietf-megaco-naspkg-04.txt".
> >
> > NOTE:   The mail server at ietf.org can return the document in
> >         MIME-encoded form by using the "mpack" utility.  To use this
> >         feature, insert the command "ENCODING mime" before the "FILE"
> >         command.  To decode the response(s), you will need "munpack" or
> >         a MIME-compliant mail reader.  Different MIME-compliant mail readers
> >
> >         exhibit different behavior, especially when dealing with
> >         "multipart" MIME messages (i.e. documents which have been split
> >         up into multiple messages), so check your local documentation on
> >         how to manipulate these messages.
> >
> >
> > Below is the data which will enable a MIME compliant mail reader
> > implementation to automatically retrieve the ASCII version of the
> > Internet-Draft.
> >
> >   ------------------------------------------------------------------------
> > Content-Type: text/plain
> > Content-ID:     <[email-masked]>
> 
> --
> Fernando Vallejo Lazaro
> Phone:  +34 91 330 8279
> SW  Wireline ASD-Madrid
>        ALCATEL
> 
>

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christian Groves <[email-masked]>
Date: Mon, 06 May 2002 16:29:24 +1000

G'Day Tom,

Regards, Christian